Retrieve an absence definition
Returns a single absence definition by its internal ID or external reference.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-definitions/{absenceDefinitionReference}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-absence-definitions.read
URL parameters
| Parameter | Description |
|---|---|
{absenceDefinitionReference} |
The internal ID or external reference of the absence definition. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the absence definition. |
name.default |
string | — | Read-only | Default name value of the absence definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
code |
string | — | Read-only | An absence code used for this definition. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
friendlyCode.default |
string | — | Read-only | Default friendly code value for this definition shown to users. |
friendlyCode.translations |
object | — | Read-only | A list of translated friendly codes by language code. |
allowedDurations |
array | — | Read-only | List of allowed durations (Unknown, FullDay, HalfDay, Interval, Duration). |
isEnabled |
boolean | — | Read-only | Indicates if the absence definition is enabled in myProtime. |
isReasonForClocking |
boolean | — | Read-only | Indicates if this absence can be used as a reason for clockings. |
absenceGroup.id |
integer | — | Read-only | The ID of the associated absence group. |
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
absence-definitions |
@absence-code |
Supported |
absence-groups |
Not available | Supported |
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid external reference key or value |
401 |
Missing or invalid access token, or insufficient scope |
404 |
Absence definition with the given ID or external reference does not exist |
Examples
Retrieving an absence definition by internal ID
Example with internal ID 9:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-definitions/9
Retrieving an absence definition by external reference
Example with absence code O200:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-definitions/O200?externalReferences=(absence-definitions,@absence-code)
With custom external reference
Example with custom external reference 123:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-definitions/123?externalReferences=(absence-definitions,customAbsenceCode)